package org.diagbot.entity.node;

import org.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;

import java.util.ArrayList;
import java.util.List;

@NodeEntity(label = "Disease")
@Getter
@Setter
public class Disease extends BaseNode {

    @Property(name = "name")
    private String name;

    public static List<Disease> DiseaseList(List<BaseNode> basenodes) {
        List<Disease> nodes = new ArrayList<>();

        for (BaseNode bnode : basenodes) {
            nodes.add((Disease)bnode);
        }
        return nodes;
    }

}
